fix_time = 2000;
wait_for_saccade = 2000;
target_time = 500;

% stimuli
fp = BoxGraphic(null_);  % fixation point
fp.List = { [1 1 1], [1 1 1], 0.5, [0 0], 1, 0 };

cue = BoxGraphic(null_);  % saccade target
cue.List = { [1 1 1], [1 1 1], 0.5, [5 0], 1, 0 };

list = {'A.bmp',[5 5], 2;
    [], [], 2;
    'B.bmp',[5 5], 2;
    [], [], 2;
    'C.bmp',[5 5], 2;
    [], [], 2;
    'D.bmp',[5 5], 2;
    [], [], 2; };
list = repmat(list,100,1);  % just to make a longer list for demonstration
img = ImageChanger(null_);
img.List = list;

fix1 = SingleTarget(eye_);
fix1.Target = [0 0];
fix1.Threshold = 3;
wth1a = WaitThenHold(fix1);
wth1a.WaitTime = 5000;
wth1a.HoldTime = fix_time;
con1a = Concurrent(wth1a);

fix1b = SingleTarget(eye_);
fix1b.Target = [5 0];
fix1b.Threshold = 3;
wth1b = WaitThenHold(fix1b);
wth1b.WaitTime = wait_for_saccade;
wth1b.HoldTime = target_time;
con1b = Concurrent(wth1b);
con1b.add(cue);

seq1 = Sequential(con1a);
seq1.add(con1b);
seq1.EventMarker = [30 40];
con1 = Concurrent(seq1);
con1.add(img);
scene1 = create_scene(con1);

run_scene(scene1,20);
idle(0,[],50);  % saccade target off

if con1b.Success  % or wth2b.Success
    goodmonkey(100,'eventmarker',90);
end